org.jbpm.bpmn2.xml

## Class AbstractCompositeNodeHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler
    - - org.jbpm.bpmn2.xml.AbstractCompositeNodeHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler
  Direct Known Subclasses:
    CompositeContextNodeHandler, ForEachNodeHandler

      public abstract class AbstractCompositeNodeHandler
      extends AbstractNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCompositeNodeHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<org.kie.api.definition.process.Connection>` | `getSubConnections(CompositeNode compositeNode)`
    `protected void` | `visitConnectionsAndAssociations(Node node, StringBuilder xmlDump, int metaDataType)`

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `checkSignalAndConvertToRealSignalNam, containsExtensionElements, createNode, end, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, getSignalExpression, handleNode, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeMetaData, writeNode, writeNode, writeScript, writeScripts, writeVariableName`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, generateNodeFor, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### AbstractCompositeNodeHandler

          public AbstractCompositeNodeHandler()

  - ### Method Detail

    - #### visitConnectionsAndAssociations

          protected void visitConnectionsAndAssociations(Node node,
                                                         StringBuilder xmlDump,
                                                         int metaDataType)

    - #### getSubConnections

          protected List<org.kie.api.definition.process.Connection> getSubConnections(CompositeNode compositeNode)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.